"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const markdown_it_1 = __importDefault(require("markdown-it"));
const markdown_it_katex_1 = __importDefault(require("markdown-it-katex"));
const highlight_js_1 = __importDefault(require("highlight.js"));
const react_1 = __importStar(require("react"));
const md = new markdown_it_1.default({
    linkify: true,
    highlight: (str, lang) => {
        if (lang && highlight_js_1.default.getLanguage(lang)) {
            try {
                return highlight_js_1.default.highlight(lang, str).value;
            }
            catch (__) { }
        }
        return ""; // use external default escaping
    }
}).enable([
    "code",
    "fence",
    "list",
    "backticks",
    "strikethrough",
    "emphasis",
    "balance_pairs"
]);
md.use(markdown_it_katex_1.default);
const Renderer = ({ text, className }) => {
    const renderedMarkdownRef = react_1.useRef(null);
    const [previews, setPreviews] = react_1.useState([]);
    react_1.useEffect(() => {
        if (renderedMarkdownRef.current) {
            const links = renderedMarkdownRef.current.getElementsByTagName("a");
            const imageURLPattern = new RegExp(/(http(s?):)([/|.|\w|\s|-])*\.(?:jpg|gif|png|jpeg)/g);
            for (const l of links) {
                const link = l;
                if (imageURLPattern.test(link.href)) {
                    setPreviews([...previews, { img: link.href }]);
                }
            }
        }
    }, []);
    return (react_1.default.createElement("div", { className: className },
        react_1.default.createElement("div", { className: "markdown", ref: renderedMarkdownRef, dangerouslySetInnerHTML: { __html: md.render(text) } }),
        react_1.default.createElement("div", { className: "previews" }, previews.map((preview) => (react_1.default.createElement("img", { key: preview.img, src: preview.img }))))));
};
exports.default = Renderer;
//# sourceMappingURL=index.js.map