"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
require("jsdom-global/register");
const react_1 = __importDefault(require("react"));
const enzyme_1 = __importStar(require("enzyme"));
const enzyme_adapter_react_16_1 = __importDefault(require("enzyme-adapter-react-16"));
const __1 = __importDefault(require("../"));
enzyme_1.default.configure({ adapter: new enzyme_adapter_react_16_1.default() });
describe("MessageRenderer", () => {
    test("adds images to preview", () => {
        const wrapper = enzyme_1.mount(react_1.default.createElement(__1.default, { text: "https://s3.amazonaws.com/keybase_processed_uploads/d24c7479498157f2cb81e185977dfd05_360_360.jpeg" }));
        expect(wrapper.html()).toMatchSnapshot();
    });
    test("renders bold text", () => {
        const wrapper = enzyme_1.mount(react_1.default.createElement(__1.default, { text: "**Bold text**" }));
        expect(wrapper.html()).toMatchSnapshot();
    });
    test("renders italic text", () => {
        const wrapper = enzyme_1.mount(react_1.default.createElement(__1.default, { text: "*Italic text*" }));
        expect(wrapper.html()).toMatchSnapshot();
    });
    test("renders strikethrough text", () => {
        const wrapper = enzyme_1.mount(react_1.default.createElement(__1.default, { text: "~~Strikethrough text~~" }));
        expect(wrapper.html()).toMatchSnapshot();
    });
    test("renders lists", () => {
        const listText = 'This is a list:\n\n- Item 1\n- Item 2';
        const wrapper = enzyme_1.mount(react_1.default.createElement(__1.default, { text: listText }));
        expect(wrapper.html()).toMatchSnapshot();
    });
    test("highlights code", () => {
        const codeText = '```javascript\nconst hello = "world";\n```';
        const wrapper = enzyme_1.mount(react_1.default.createElement(__1.default, { text: codeText }));
        expect(wrapper.html()).toMatchSnapshot();
    });
});
//# sourceMappingURL=index.test.js.map